
_Timer1Int:
	PUSH	RCOUNT
	PUSH	W0
	MOV	#2, W0
	REPEAT	#12
	PUSH	[W0++]

;CAN_Pro4_Board.c,27 :: 		void Timer1Int() iv IVT_ADDR_T1INTERRUPT
;CAN_Pro4_Board.c,29 :: 		T1IF_bit = 0;           // Clear T1IF
	BCLR	T1IF_bit, #3
;CAN_Pro4_Board.c,30 :: 		LATAbits.LATA6 ^=1;
	BTG	LATAbits, #6
;CAN_Pro4_Board.c,31 :: 		Flag.CanTx = TRUE;
	MOV	#lo_addr(_Flag), W0
	BSET	[W0], #0
;CAN_Pro4_Board.c,32 :: 		Flag.WriteDisplay = TRUE;
	MOV	#lo_addr(_Flag), W0
	BSET	[W0], #1
;CAN_Pro4_Board.c,33 :: 		}
L_end_Timer1Int:
	MOV	#26, W0
	REPEAT	#12
	POP	[W0--]
	POP	W0
	POP	RCOUNT
	RETFIE
; end of _Timer1Int

_main:
	MOV	#2048, W15
	MOV	#6142, W0
	MOV	WREG, 32
	MOV	#1, W0
	MOV	WREG, 52
	MOV	#4, W0
	IOR	68

;CAN_Pro4_Board.c,39 :: 		void main()
;CAN_Pro4_Board.c,44 :: 		Init();
	CALL	_Init
;CAN_Pro4_Board.c,49 :: 		while(1)
L_main0:
;CAN_Pro4_Board.c,51 :: 		IO_ReadCan();
	CALL	_IO_ReadCan
;CAN_Pro4_Board.c,52 :: 		IO_WriteCan();
	CALL	_IO_WriteCan
;CAN_Pro4_Board.c,53 :: 		} //end while(1)
	GOTO	L_main0
;CAN_Pro4_Board.c,54 :: 		}//end main
L_end_main:
L__main_end_loop:
	BRA	L__main_end_loop
; end of _main

_Init:

;CAN_Pro4_Board.c,56 :: 		void Init()
;CAN_Pro4_Board.c,58 :: 		NSTDIS_bit = 1;             // No nested Interrupts
	PUSH	W10
	PUSH	W11
	PUSH	W12
	PUSH	W13
	BSET	NSTDIS_bit, #15
;CAN_Pro4_Board.c,59 :: 		TRISAbits.TRISA6 = 0;      // PORTA.B6 as output for led
	BCLR	TRISAbits, #6
;CAN_Pro4_Board.c,60 :: 		TRISAbits.TRISA15 = 0;
	BCLR	TRISAbits, #15
;CAN_Pro4_Board.c,61 :: 		ADPCFG = 0xFFFF;           // Configure AN pins as digital
	MOV	#65535, W0
	MOV	WREG, ADPCFG
;CAN_Pro4_Board.c,62 :: 		TRISB = 0;                // PORTD as output for Led's
	CLR	TRISB
;CAN_Pro4_Board.c,64 :: 		IPC0  = IPC0 | 0x1000;    // Interrupt priority level = 1
	MOV	#4096, W1
	MOV	#lo_addr(IPC0), W0
	IOR	W1, [W0], [W0]
;CAN_Pro4_Board.c,65 :: 		T1IF_bit = 0;            // Clear T1IF
	BCLR	T1IF_bit, #3
;CAN_Pro4_Board.c,66 :: 		T1IE_bit =1;            // Enable Timer1 interrupts
	BSET	T1IE_bit, #3
;CAN_Pro4_Board.c,67 :: 		PR1 = 18500;           // Set Time cycle for CAN Tx
	MOV	#18500, W0
	MOV	WREG, PR1
;CAN_Pro4_Board.c,68 :: 		T1CON = 0x8030;       // Timer1 ON, internal clock FCY, prescaler 1:256
	MOV	#32816, W0
	MOV	WREG, T1CON
;CAN_Pro4_Board.c,71 :: 		Can_Init_Flags = 0;                              //
	CLR	W0
	MOV	W0, _Can_Init_Flags
;CAN_Pro4_Board.c,72 :: 		Can_Send_Flags = 0;                              // clear flags
	CLR	W0
	MOV	W0, _Can_Send_Flags
;CAN_Pro4_Board.c,73 :: 		Can_Rcv_Flags  = 0;                              //
	CLR	W0
	MOV	W0, _Can_Rcv_Flags
;CAN_Pro4_Board.c,77 :: 		_CAN_TX_NO_RTR_FRAME;
	MOV	#252, W0
	MOV	W0, _Can_Send_Flags
;CAN_Pro4_Board.c,84 :: 		_CAN_CONFIG_LINE_FILTER_OFF;
	MOV	#249, W0
	MOV	W0, _Can_Init_Flags
;CAN_Pro4_Board.c,86 :: 		CAN2Initialize(1,2,5,3,1,Can_Init_Flags) ;  //Set baud rate 500Kb/sec
	MOV	#3, W13
	MOV	#5, W12
	MOV	#2, W11
	MOV	#1, W10
	MOV	#249, W0
	PUSH	W0
	MOV	#1, W0
	PUSH	W0
	CALL	_CAN2Initialize
	SUB	#4, W15
;CAN_Pro4_Board.c,90 :: 		C2CTRL.CANCKS = 1;  // Set CAN clock to Fcy
	BSET	C2CTRL, #11
;CAN_Pro4_Board.c,91 :: 		CAN2SetOperationMode(_CAN_MODE_CONFIG,0xFF); // set CONFIGURATION mode
	MOV	#255, W11
	MOV	#4, W10
	CALL	_CAN2SetOperationMode
;CAN_Pro4_Board.c,92 :: 		CAN2SetMask(_CAN_MASK_B1,-1,_CAN_CONFIG_MATCH_MSG_TYPE & _CAN_CONFIG_STD_MSG);
	MOV	#255, W13
	MOV	#65535, W11
	MOV	#65535, W12
	CLR	W10
	CALL	_CAN2SetMask
;CAN_Pro4_Board.c,93 :: 		CAN2SetMask(_CAN_MASK_B2,-1,_CAN_CONFIG_MATCH_MSG_TYPE & _CAN_CONFIG_STD_MSG);
	MOV	#255, W13
	MOV	#65535, W11
	MOV	#65535, W12
	MOV	#1, W10
	CALL	_CAN2SetMask
;CAN_Pro4_Board.c,94 :: 		CAN2SetFilter(_CAN_FILTER_B1_F1,F1,_CAN_CONFIG_STD_MSG);
	MOV	#255, W13
	MOV	#256, W11
	MOV	#0, W12
	CLR	W10
	CALL	_CAN2SetFilter
;CAN_Pro4_Board.c,95 :: 		CAN2SetFilter(_CAN_FILTER_B1_F2,F2,_CAN_CONFIG_STD_MSG);
	MOV	#255, W13
	MOV	#257, W11
	MOV	#0, W12
	MOV	#1, W10
	CALL	_CAN2SetFilter
;CAN_Pro4_Board.c,96 :: 		CAN2SetFilter(_CAN_FILTER_B2_F1,F3,_CAN_CONFIG_STD_MSG);
	MOV	#255, W13
	MOV	#512, W11
	MOV	#0, W12
	MOV	#2, W10
	CALL	_CAN2SetFilter
;CAN_Pro4_Board.c,97 :: 		CAN2SetFilter(_CAN_FILTER_B2_F2,F4,_CAN_CONFIG_STD_MSG);
	MOV	#255, W13
	MOV	#529, W11
	MOV	#0, W12
	MOV	#3, W10
	CALL	_CAN2SetFilter
;CAN_Pro4_Board.c,98 :: 		CAN2SetFilter(_CAN_FILTER_B2_F3,F5,_CAN_CONFIG_STD_MSG);
	MOV	#255, W13
	MOV	#768, W11
	MOV	#0, W12
	MOV	#4, W10
	CALL	_CAN2SetFilter
;CAN_Pro4_Board.c,99 :: 		CAN2SetFilter(_CAN_FILTER_B2_F4,F6,_CAN_CONFIG_STD_MSG);
	MOV	#255, W13
	MOV	#784, W11
	MOV	#0, W12
	MOV	#5, W10
	CALL	_CAN2SetFilter
;CAN_Pro4_Board.c,100 :: 		CAN2SetOperationMode(_CAN_MODE_NORMAL,0xFF);//set normal mode
	MOV	#255, W11
	CLR	W10
	CALL	_CAN2SetOperationMode
;CAN_Pro4_Board.c,101 :: 		Msg_Rcvd = 0;
	MOV	#lo_addr(_Msg_Rcvd), W1
	CLR	W0
	MOV.B	W0, [W1]
;CAN_Pro4_Board.c,103 :: 		}
L_end_Init:
	POP	W13
	POP	W12
	POP	W11
	POP	W10
	RETURN
; end of _Init

_IO_WriteCan:

;CAN_Pro4_Board.c,105 :: 		void IO_WriteCan()
;CAN_Pro4_Board.c,107 :: 		if(Flag.CanTx)
	PUSH	W10
	PUSH	W11
	PUSH	W12
	PUSH	W13
	MOV	#lo_addr(_Flag), W0
	BTSS	[W0], #0
	GOTO	L_IO_WriteCan2
;CAN_Pro4_Board.c,110 :: 		counter++;
	MOV.B	#1, W1
	MOV	#lo_addr(IO_WriteCan_counter_L1), W0
	ADD.B	W1, [W0], [W0]
;CAN_Pro4_Board.c,111 :: 		Tx_Data[0] = 0xFC;
	MOV	#lo_addr(_Tx_Data), W1
	MOV.B	#252, W0
	MOV.B	W0, [W1]
;CAN_Pro4_Board.c,112 :: 		Tx_Data[1] = counter;
	MOV	#lo_addr(_Tx_Data+1), W1
	MOV	#lo_addr(IO_WriteCan_counter_L1), W0
	MOV.B	[W0], [W1]
;CAN_Pro4_Board.c,113 :: 		Tx_Data[2] = 0;
	MOV	#lo_addr(_Tx_Data+2), W1
	CLR	W0
	MOV.B	W0, [W1]
;CAN_Pro4_Board.c,114 :: 		Tx_Data[3] = 0;
	MOV	#lo_addr(_Tx_Data+3), W1
	CLR	W0
	MOV.B	W0, [W1]
;CAN_Pro4_Board.c,115 :: 		Tx_Data[4] = 0;
	MOV	#lo_addr(_Tx_Data+4), W1
	CLR	W0
	MOV.B	W0, [W1]
;CAN_Pro4_Board.c,116 :: 		Tx_Data[5] = 0;
	MOV	#lo_addr(_Tx_Data+5), W1
	CLR	W0
	MOV.B	W0, [W1]
;CAN_Pro4_Board.c,117 :: 		Tx_Data[6] = 0xFB;
	MOV	#lo_addr(_Tx_Data+6), W1
	MOV.B	#251, W0
	MOV.B	W0, [W1]
;CAN_Pro4_Board.c,118 :: 		Tx_Data[7] = counter;
	MOV	#lo_addr(_Tx_Data+7), W1
	MOV	#lo_addr(IO_WriteCan_counter_L1), W0
	MOV.B	[W0], [W1]
;CAN_Pro4_Board.c,119 :: 		Tx_Data_Len = 8;
	MOV	#8, W0
	MOV	W0, _Tx_Data_Len
;CAN_Pro4_Board.c,120 :: 		Tx_ID = 0x200;
	MOV	#512, W0
	MOV	#0, W1
	MOV	W0, _Tx_ID
	MOV	W1, _Tx_ID+2
;CAN_Pro4_Board.c,121 :: 		CAN2Write(Tx_ID, Tx_Data, Tx_Data_Len, Can_Send_Flags);
	MOV	#8, W13
	MOV	#lo_addr(_Tx_Data), W12
	MOV	#512, W10
	MOV	#0, W11
	PUSH	_Can_Send_Flags
	CALL	_CAN2Write
	SUB	#2, W15
;CAN_Pro4_Board.c,122 :: 		Flag.CanTx = FALSE ;
	MOV	#lo_addr(_Flag), W0
	BCLR	[W0], #0
;CAN_Pro4_Board.c,123 :: 		}
L_IO_WriteCan2:
;CAN_Pro4_Board.c,124 :: 		}
L_end_IO_WriteCan:
	POP	W13
	POP	W12
	POP	W11
	POP	W10
	RETURN
; end of _IO_WriteCan

_IO_ReadCan:

;CAN_Pro4_Board.c,126 :: 		void IO_ReadCan()
;CAN_Pro4_Board.c,129 :: 		Msg_Rcvd = CAN2Read(&RxID ,Rx_Data ,&Rx_Data_Len,&Can_Rcv_Flags);
	PUSH	W10
	PUSH	W11
	PUSH	W12
	PUSH	W13
	MOV	#lo_addr(_Can_Rcv_Flags), W13
	MOV	#lo_addr(_Rx_Data_Len), W12
	MOV	#lo_addr(_Rx_Data), W11
	MOV	#lo_addr(_RxID), W10
	CALL	_CAN2Read
	MOV	#lo_addr(_Msg_Rcvd), W1
	MOV.B	W0, [W1]
;CAN_Pro4_Board.c,130 :: 		if (Msg_Rcvd )
	CP0.B	W0
	BRA NZ	L__IO_ReadCan16
	GOTO	L_IO_ReadCan3
L__IO_ReadCan16:
;CAN_Pro4_Board.c,132 :: 		switch (RxID)
	GOTO	L_IO_ReadCan4
;CAN_Pro4_Board.c,134 :: 		case  0x200 :
L_IO_ReadCan6:
;CAN_Pro4_Board.c,135 :: 		asm nop ;
	NOP
;CAN_Pro4_Board.c,136 :: 		break;
	GOTO	L_IO_ReadCan5
;CAN_Pro4_Board.c,137 :: 		case 0x211 :
L_IO_ReadCan7:
;CAN_Pro4_Board.c,138 :: 		LATB = Rx_Data[2]; // extract the data in the message
	MOV	#lo_addr(_Rx_Data+2), W0
	ZE	[W0], W0
	MOV	WREG, LATB
;CAN_Pro4_Board.c,139 :: 		break;
	GOTO	L_IO_ReadCan5
;CAN_Pro4_Board.c,140 :: 		case 0x300 :
L_IO_ReadCan8:
;CAN_Pro4_Board.c,141 :: 		asm nop;
	NOP
;CAN_Pro4_Board.c,142 :: 		break;
	GOTO	L_IO_ReadCan5
;CAN_Pro4_Board.c,143 :: 		case 0x310 :
L_IO_ReadCan9:
;CAN_Pro4_Board.c,144 :: 		asm nop;
	NOP
;CAN_Pro4_Board.c,145 :: 		break;
	GOTO	L_IO_ReadCan5
;CAN_Pro4_Board.c,146 :: 		}// end switch case
L_IO_ReadCan4:
	MOV	#512, W1
	MOV	#0, W2
	MOV	#lo_addr(_RxID), W0
	CP	W1, [W0++]
	CPB	W2, [W0--]
	BRA NZ	L__IO_ReadCan17
	GOTO	L_IO_ReadCan6
L__IO_ReadCan17:
	MOV	#529, W1
	MOV	#0, W2
	MOV	#lo_addr(_RxID), W0
	CP	W1, [W0++]
	CPB	W2, [W0--]
	BRA NZ	L__IO_ReadCan18
	GOTO	L_IO_ReadCan7
L__IO_ReadCan18:
	MOV	#768, W1
	MOV	#0, W2
	MOV	#lo_addr(_RxID), W0
	CP	W1, [W0++]
	CPB	W2, [W0--]
	BRA NZ	L__IO_ReadCan19
	GOTO	L_IO_ReadCan8
L__IO_ReadCan19:
	MOV	#784, W1
	MOV	#0, W2
	MOV	#lo_addr(_RxID), W0
	CP	W1, [W0++]
	CPB	W2, [W0--]
	BRA NZ	L__IO_ReadCan20
	GOTO	L_IO_ReadCan9
L__IO_ReadCan20:
L_IO_ReadCan5:
;CAN_Pro4_Board.c,147 :: 		Msg_Rcvd = 0;
	MOV	#lo_addr(_Msg_Rcvd), W1
	CLR	W0
	MOV.B	W0, [W1]
;CAN_Pro4_Board.c,148 :: 		}
L_IO_ReadCan3:
;CAN_Pro4_Board.c,149 :: 		}
L_end_IO_ReadCan:
	POP	W13
	POP	W12
	POP	W11
	POP	W10
	RETURN
; end of _IO_ReadCan
