
//************************************************************************
// Variables .h
// This file contains all the application variabels and definitions
//************************************************************************
unsigned int Can_Init_Flags,
Can_Send_Flags, Can_Rcv_Flags;   // CAN flags
unsigned int Rx_Data_Len;        // received data length in bytes
unsigned int Tx_Data_Len;        // Tx data length in bytes
char Rx_Data[8];                 // Rx data buffer
char Tx_Data[8];                 // Tx data buffer
char Msg_Rcvd;                   // reception flag
unsigned long RxID;              // Rx IDs
unsigned long Tx_ID;             // Tx IDs
//--------------------------------------------------------------------
struct  ApplicationFlags
{
unsigned CanTx :1;
unsigned WriteDisplay:1;
unsigned res :14;
}Flag;
//--------------------------------------------------------------------
#define TRUE  1
#define FALSE 0

//---------------------------------------------------------------------
// define the message filets to you ID's
//---------------------------------------------------------------------
#define F1  0x100
#define F2  0x101
#define F3  0x200
#define F4  0x211
#define F5  0x300
#define F6  0x310
//------------------------------------------------------------------------
// Glcd module connections
//------------------------------------------------------------------------
sbit GLCD_D7 at RD7_bit;
sbit GLCD_D6 at RD6_bit;
sbit GLCD_D5 at RD5_bit;
sbit GLCD_D4 at RD4_bit;
sbit GLCD_D3 at RD3_bit;
sbit GLCD_D2 at RD2_bit;
sbit GLCD_D1 at RD1_bit;
sbit GLCD_D0 at RD0_bit;
sbit GLCD_D7_Direction at TRISD7_bit;
sbit GLCD_D6_Direction at TRISD6_bit;
sbit GLCD_D5_Direction at TRISD5_bit;
sbit GLCD_D4_Direction at TRISD4_bit;
sbit GLCD_D3_Direction at TRISD3_bit;
sbit GLCD_D2_Direction at TRISD2_bit;
sbit GLCD_D1_Direction at TRISD1_bit;
sbit GLCD_D0_Direction at TRISD0_bit;

sbit GLCD_CS1 at LATB2_bit;
sbit GLCD_CS2 at LATB3_bit;
sbit GLCD_RS  at LATB4_bit;
sbit GLCD_RW  at LATB5_bit;
sbit GLCD_EN  at LATB6_bit;
sbit GLCD_RST at LATB7_bit;
sbit GLCD_CS1_Direction at TRISB2_bit;
sbit GLCD_CS2_Direction at TRISB3_bit;
sbit GLCD_RS_Direction  at TRISB4_bit;
sbit GLCD_RW_Direction  at TRISB5_bit;
sbit GLCD_EN_Direction  at TRISB6_bit;
sbit GLCD_RST_Direction at TRISB7_bit;

char *someText;
// ---------------------------------------------------------------------------
