#line 1 "D:/mikroE Projects/mikroC for PIC32 Projects/PIC32 CAN Example 1/P32_CAN_Example_1.c"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for pic32/include/built_in.h"
#line 9 "D:/mikroE Projects/mikroC for PIC32 Projects/PIC32 CAN Example 1/P32_CAN_Example_1.c"
unsigned int Can_Init_Flags;
unsigned int Can_Send_Flags;
unsigned int Can_Rcv_Flags;
unsigned int Rx_Data_Len;
unsigned int Tx_Data_Len;
char Rx_Data[8];
char Tx_Data[8];
char Msg_Rcvd;
unsigned long Rx_ID;
unsigned long Tx_ID;



char FIFObuffers[2*8*16] absolute 0xA0000000;



unsigned char count = 0;
unsigned char AdcResult = 0;








struct
{
 sendMsg :1;
 Run :1;
}Flag;




void Init(void);





void main()
{



 Init();




 while(1)
 {




 if(Flag.sendMsg)
 {
 count++;
 Tx_Data[0] = 0;
 Tx_Data[1] = 0;
 Tx_Data[2] = count;
 Tx_Data[3] = 0;
 Tx_Data[4] = 0;
 Tx_Data[5] = 0;
 Tx_Data[6] = 0;
 Tx_Data[7] = 0xA0;
 Tx_Data_Len = 8;
 Tx_ID = 0x211;
 CAN1Write(Tx_ID,Tx_Data,Tx_Data_Len,Can_Send_Flags);
 Flag.sendMsg = 0;
 }



 Msg_Rcvd = CAN1Read(&Rx_ID,Rx_Data,&Rx_Data_Len,&Can_Rcv_Flags);
 if(Msg_Rcvd)
 {
 switch (Rx_ID)
 {
 case 0x200:
 LATA = Tx_Data[2];
 break;

 case 0x201:
 asm nop;
 break;

 case 0x301:
 asm nop;
 break;
 }
 Msg_Rcvd = 0;
 }
 }
}



void Timer1_interrupt() iv IVT_TIMER_1 ilevel 7 ics ICS_SRS {
 T1IF_bit = 0;
 Flag.sendMsg = 1;
}

void Init()
{
 JTAGEN_bit = 0;
 AD1PCFG = 0;
 TRISA = 0;
 LATA = 0;



 TMR1 = 0;
 PR1 = 50000;

 T1IP0_bit = 1;
 T1IP1_bit = 1;
 T1IP2_bit = 1;

 TCKPS0_bit = 1;
 TCKPS1_bit = 1;
 EnableInterrupts();

 T1IE_bit = 1;
 ON__T1CON_bit = 1;




 Can_Init_Flags = 0;
 Can_Send_Flags = 0;
 Can_Rcv_Flags = 0;

 Can_Send_Flags = _CAN_TX_STD_FRAME &
 _CAN_TX_NO_RTR_FRAME;

 Can_Init_Flags = _CAN_CONFIG_SAMPLE_THRICE &
 _CAN_CONFIG_PHSEG2_PRG_ON &
 _CAN_CONFIG_STD_MSG &
 _CAN_CONFIG_MATCH_MSG_TYPE &
 _CAN_CONFIG_LINE_FILTER_OFF;



 CAN1SetOperationMode(_CAN_MODE_CONFIG,0xFF);




 CAN1Initialize(1,8,3,3,3,Can_Init_Flags);




 CAN1AssignBuffer(FIFObuffers);




 CAN1ConfigureFIFO(0, 8,_CAN_FIFO_RX & _CAN_FULL_MESSAGE);




 CAN1ConfigureFIFO(1,8,_CAN_FIFO_TX & _CAN_TX_PRIORITY_3 &
 _CAN_TX_NO_RTR_FRAME);



 CAN1SetMask(_CAN_MASK_0,-1,_CAN_CONFIG_MATCH_MSG_TYPE &
 _CAN_CONFIG_STD_MSG);



 CAN1SetMask(_CAN_MASK_1,-1,_CAN_CONFIG_MATCH_MSG_TYPE &
 _CAN_CONFIG_STD_MSG);



 CAN1SetMask(_CAN_MASK_2,-1,_CAN_CONFIG_MATCH_MSG_TYPE &
 _CAN_CONFIG_STD_MSG);



 CAN1SetMask(_CAN_MASK_3,-1,_CAN_CONFIG_MATCH_MSG_TYPE &
 _CAN_CONFIG_STD_MSG);



 CAN1SetFilter(_CAN_FILTER_31,0x200,_CAN_MASK_0,_CAN_BUFFER_0,
 _CAN_CONFIG_STD_MSG);



 CAN1SetOperationMode(_CAN_MODE_NORMAL,0xFF);

 Msg_Rcvd = 0;

}
