#line 1 "D:/mikroE Projects/mikroC for dsPIC Projects/dsPIC30CAN_TxRx_Pro4Board/CAN_Pro4_Board.c"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for dspic/include/built_in.h"
#line 1 "d:/mikroe projects/mikroc for dspic projects/dspic30can_txrx_pro4board/variables.h"





unsigned int Can_Init_Flags,
Can_Send_Flags, Can_Rcv_Flags;
unsigned int Rx_Data_Len;
unsigned int Tx_Data_Len;
char Rx_Data[8];
char Tx_Data[8];
char Msg_Rcvd;
unsigned long RxID;
unsigned long Tx_ID;

struct ApplicationFlags
{
unsigned CanTx :1;
unsigned WriteDisplay:1;
unsigned res :14;
}Flag;
#line 38 "d:/mikroe projects/mikroc for dspic projects/dspic30can_txrx_pro4board/variables.h"
sbit GLCD_D7 at RD7_bit;
sbit GLCD_D6 at RD6_bit;
sbit GLCD_D5 at RD5_bit;
sbit GLCD_D4 at RD4_bit;
sbit GLCD_D3 at RD3_bit;
sbit GLCD_D2 at RD2_bit;
sbit GLCD_D1 at RD1_bit;
sbit GLCD_D0 at RD0_bit;
sbit GLCD_D7_Direction at TRISD7_bit;
sbit GLCD_D6_Direction at TRISD6_bit;
sbit GLCD_D5_Direction at TRISD5_bit;
sbit GLCD_D4_Direction at TRISD4_bit;
sbit GLCD_D3_Direction at TRISD3_bit;
sbit GLCD_D2_Direction at TRISD2_bit;
sbit GLCD_D1_Direction at TRISD1_bit;
sbit GLCD_D0_Direction at TRISD0_bit;

sbit GLCD_CS1 at LATB2_bit;
sbit GLCD_CS2 at LATB3_bit;
sbit GLCD_RS at LATB4_bit;
sbit GLCD_RW at LATB5_bit;
sbit GLCD_EN at LATB6_bit;
sbit GLCD_RST at LATB7_bit;
sbit GLCD_CS1_Direction at TRISB2_bit;
sbit GLCD_CS2_Direction at TRISB3_bit;
sbit GLCD_RS_Direction at TRISB4_bit;
sbit GLCD_RW_Direction at TRISB5_bit;
sbit GLCD_EN_Direction at TRISB6_bit;
sbit GLCD_RST_Direction at TRISB7_bit;

char *someText;
#line 21 "D:/mikroE Projects/mikroC for dsPIC Projects/dsPIC30CAN_TxRx_Pro4Board/CAN_Pro4_Board.c"
void Init(void);
void IO_WriteCan(void);
void IO_ReadCan(void);



void Timer1Int() iv IVT_ADDR_T1INTERRUPT
{
 T1IF_bit = 0;
 LATAbits.LATA6 ^=1;
 Flag.CanTx =  1 ;
 Flag.WriteDisplay =  1 ;
}





void main()
{



 Init();




 while(1)
 {
 IO_ReadCan();
 IO_WriteCan();
 }
}

void Init()
{
 NSTDIS_bit = 1;
 TRISAbits.TRISA6 = 0;
 TRISAbits.TRISA15 = 0;
 ADPCFG = 0xFFFF;
 TRISB = 0;

 IPC0 = IPC0 | 0x1000;
 T1IF_bit = 0;
 T1IE_bit =1;
 PR1 = 18500;
 T1CON = 0x8030;


 Can_Init_Flags = 0;
 Can_Send_Flags = 0;
 Can_Rcv_Flags = 0;

 Can_Send_Flags = _CAN_TX_PRIORITY_0 &
 _CAN_TX_STD_FRAME &
 _CAN_TX_NO_RTR_FRAME;

 Can_Init_Flags = _CAN_CONFIG_SAMPLE_THRICE &
 _CAN_CONFIG_PHSEG2_PRG_ON &
 _CAN_CONFIG_STD_MSG &
 _CAN_CONFIG_DBL_BUFFER_ON &
 _CAN_CONFIG_MATCH_MSG_TYPE &
 _CAN_CONFIG_LINE_FILTER_OFF;

 CAN2Initialize(1,2,5,3,1,Can_Init_Flags) ;



 C2CTRL.CANCKS = 1;
 CAN2SetOperationMode(_CAN_MODE_CONFIG,0xFF);
 CAN2SetMask(_CAN_MASK_B1,-1,_CAN_CONFIG_MATCH_MSG_TYPE & _CAN_CONFIG_STD_MSG);
 CAN2SetMask(_CAN_MASK_B2,-1,_CAN_CONFIG_MATCH_MSG_TYPE & _CAN_CONFIG_STD_MSG);
 CAN2SetFilter(_CAN_FILTER_B1_F1, 0x100 ,_CAN_CONFIG_STD_MSG);
 CAN2SetFilter(_CAN_FILTER_B1_F2, 0x101 ,_CAN_CONFIG_STD_MSG);
 CAN2SetFilter(_CAN_FILTER_B2_F1, 0x200 ,_CAN_CONFIG_STD_MSG);
 CAN2SetFilter(_CAN_FILTER_B2_F2, 0x211 ,_CAN_CONFIG_STD_MSG);
 CAN2SetFilter(_CAN_FILTER_B2_F3, 0x300 ,_CAN_CONFIG_STD_MSG);
 CAN2SetFilter(_CAN_FILTER_B2_F4, 0x310 ,_CAN_CONFIG_STD_MSG);
 CAN2SetOperationMode(_CAN_MODE_NORMAL,0xFF);
 Msg_Rcvd = 0;

}

void IO_WriteCan()
{
if(Flag.CanTx)
 {
 static unsigned char counter ;
 counter++;
 Tx_Data[0] = 0xFC;
 Tx_Data[1] = counter;
 Tx_Data[2] = 0;
 Tx_Data[3] = 0;
 Tx_Data[4] = 0;
 Tx_Data[5] = 0;
 Tx_Data[6] = 0xFB;
 Tx_Data[7] = counter;
 Tx_Data_Len = 8;
 Tx_ID = 0x200;
 CAN2Write(Tx_ID, Tx_Data, Tx_Data_Len, Can_Send_Flags);
 Flag.CanTx =  0  ;
 }
}

void IO_ReadCan()
{

 Msg_Rcvd = CAN2Read(&RxID ,Rx_Data ,&Rx_Data_Len,&Can_Rcv_Flags);
 if (Msg_Rcvd )
 {
 switch (RxID)
 {
 case 0x200 :
 asm nop ;
 break;
 case 0x211 :
 LATB = Rx_Data[2];
 break;
 case 0x300 :
 asm nop;
 break;
 case 0x310 :
 asm nop;
 break;
 }
 Msg_Rcvd = 0;
 }
}
